import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FormBuilder, FormGroup } from '@angular/forms';
import { TranslatorService } from 'a365translator';
export declare class PrecheckoutComponent implements OnInit {
    bsModalRef: BsModalRef;
    private formBuilder;
    private translator;
    action: EventEmitter<any>;
    quoteDialogForm: FormGroup;
    submitted: boolean;
    title: string;
    data_content: any;
    data_form_validation_msg: any;
    set form_validation_msg(e: ElementRef<HTMLElement>);
    refreshContent(target: any): void;
    constructor(bsModalRef: BsModalRef, formBuilder: FormBuilder, translator: TranslatorService);
    send(): void;
    close(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
